
// displays mainmenu; sets desired difficulty and riddle_size;
void mainmenu()
{
  event.button.button=0;
  SDL_Surface *titleBitmap;
  titleBitmap = IMG_Load("data/title.jpg");
  if (titleBitmap == NULL){printf("%s\n", SDL_GetError());exit(1);}
  difficulty=0.0;
  riddle_size = 0;
  int score =0, filept=0, scoreMin=0, scoreSec=0;
  done = FALSE;
  char sec_text[3], min_text[3];
  char scoreString[6];
  dstRect.x=dstRect.y=srcRect.x=srcRect.y=0;
  dstRect.w=srcRect.w=650;
  dstRect.h=srcRect.h=650;
  SDL_BlitSurface(titleBitmap, &srcRect, screenSurface, &dstRect);


  FILE *fpout;                        //  displays highscores at the mainmenu
  fpout = fopen("data/highscore", "r+");
  if (fpout != NULL) {
    for(filept=0; filept<9; filept++){
      fscanf(fpout, ",%4d" ,&score);
      scoreMin = score / 60;
      scoreSec = score % 60;
      sprintf(sec_text, "%d", scoreSec);
      sprintf(min_text, "%d", scoreMin);
      strcpy(scoreString,"");
      strcat(scoreString,min_text);
      strcat(scoreString,":");
      if (scoreSec<10) strcat(scoreString,"0");
      strcat(scoreString,sec_text);
      //sprintf(scoreString, "%d:%d", (score/60), (score%60));
      textSurface=TTF_RenderText_Blended(fontBold,scoreString,color);
      srcTxt.x=srcTxt.y=0;
      srcTxt.h=textSurface->h;
      srcTxt.w=textSurface->w;
      dstTxt=srcTxt;
      dstTxt.x=148 + (163*(filept%3));
      dstTxt.y=235 +(163* (filept/3));
      SDL_BlitSurface(textSurface,&srcTxt,screenSurface,&dstTxt);
    } 
    fclose(fpout);
  }
  else
    printf("was unable to open highscorefile\n");


  SDL_Flip(screenSurface);
  // event.type = 0;
  //x_mouse=100;
  //y_mouse=100;
  //SDL_WaitEvent(&event);
  while ((SDL_WaitEvent(&event) != 0) && ((difficulty==0.0) || (riddle_size ==0)))
    {
      switch(event.type) 
	{
	case SDL_MOUSEBUTTONDOWN: 
	  if(event.button.button == SDL_BUTTON_LEFT)
	    {
	      SDL_GetMouseState(&x_mouse, &y_mouse); 
	      x_mouse=(x_mouse+81)/(162);
	      y_mouse=(y_mouse)/(162);
	      switch ((2*x_mouse+1)*y_mouse) 
		{
		case 3:  difficulty=0.75; riddle_size=10; break;
		case 5:  difficulty=0.6; riddle_size=10; break;
		case 7:  difficulty=0.4; riddle_size=10; break;
		case 6:  difficulty=0.75; riddle_size=15; break;
		case 10: difficulty=0.65; riddle_size=15; break;
		case 14: difficulty=0.55; riddle_size=15; break;
		case 9:  difficulty=0.8; riddle_size=20; break;
		case 15: difficulty=0.7; riddle_size=20; break;
		case 21: difficulty=0.625; riddle_size=20; break;
		default: difficulty=0.0; riddle_size=0;
		}
	    }
	  break;
	case SDL_QUIT: 
	  exit(1); break;
	}
    }
  SDL_FreeSurface(titleBitmap);
}
